Kerbal Space Program - Bug #514

Inverted "Inclination” on SOI changeover
04/01/2013 11:21 AM - Amaroq

Status: Closed Start date: 04/01/2013
Severity: High % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 0.18.4 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

Steps to Reproduce:
Mac OS/X Snow Leopard
KSP 0.18.4

Mods installed: RemoteTech, Kerbal Engineer, Kerbal Alarm Clock, Ferram Aerospace

I launched a vessel to a prograde (heading: 90) low Kerbin orbit, then plotted a burn to put in on a Kerbin escape velocity. | plotted

the burn via the Maneuver Nodes.

The burn initiated at a little past midnight local time (dark side of Kerbin, opposite the Sun).

| extended my apoapsis until it was just past the edge of Kerbin's SOI, so that at the SOI change-over my vessel had a prograde
Kerbin orbit, but a fair amount of "backwards" momentum relative to Kerbin's orbit around the Sun. | did most of my plotting while

zoomed a long way out to watch the resulting Solar orbit.

Then | went about my business doing other things - the save-file has about 30 active flights. When the Kerbal Alarm Clock "dinged"
for the SOI change, | happened to be at 1x Warp and involved in docking manned craft elsewhere, so | ignored the "ding" and
finished docking - so the probe performed its SOI change at 1x Warp but not as the "active" craft.

When | checked in on the craft afterwards, it had a retrograde orbit around the Sun - in other words, it was going exactly the opposite

direction from Kerbin's orbit.

Checking the persistent.sfs, | found that the orbital INC was 179.899 - by my calculations, it should be +/-0.101 instead.

| have reproduced this with a second orbital craft on a similar orbit - for that one, the Kerbal Alarm Clock add-on "caught" the SOI
transition multiple times - | suspect this was because the bug was occurring but the resulting post-transition orbit put it immediately

back within Kerbin's SOI.

History

#1 - 04/01/2013 04:25 PM - Amaroq

If you'd like, | can provide a persistent.sfs from before and after the SOI transition(s), as | do back up my .SFS file pretty regularly.

#2 - 04/01/2013 11:21 PM - hermes47

Please upload a persistent.sfs, preferably from a stock install.

#3 - 09/05/2014 09:49 AM - jonnyp
- Status changed from New to Closed

- % Done changed from 0 to 100

Closing as no new information has been supplied in over 12 months
